using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PhillyNetCodeCamp.SOLID
{

    public interface IDataAccess : IReportDataAccess
    {
        void SaveData(DataElement dataElement);
        IList<DataElement> QueryData(string criteria);
        
    }

    public interface IReportDataAccess
    {
        IList<DataElement> GetReportData();
    }

}
