using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PhillyNetCodeCamp.SOLID
{
     public class LetterReportPrinter : ReportPrinter
    {
         private IReportFormatter _reportFormatter;
         private IReportDataAccess _dataAccess;
        public override void Print()
        {
            //dataAccess = new ReportDataAccess();
            //reportFormatter = new LetterReportFormatter();
            _dataAccess.GetReportData();
            _reportFormatter.FormatReport();
            Console.WriteLine("\nPrinting Report to laser printer...");
        }
    }
}
