using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PhillyNetCodeCamp.SOLID
{
    public class TabloidReport : Report
    {
        private IReportPrinter _reportPrinter;
        public override void Print()
        {
            //_reportPrinter = new TabloidReportPrinter();
            _reportPrinter.Print();
            //base.Print();
        }

        /// <summary>
        /// Initializes a new instance of the TabloidReport class.
        /// </summary>
        /// <param name="reportPrinter"></param>
        public TabloidReport(IReportPrinter reportPrinter)
        {
            _reportPrinter = reportPrinter;
        }
    }
}
