using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PhillyNetCodeCamp.SOLID
{
     public class TabloidReportPrinter : ReportPrinter
    {
         private IReportFormatter _reportFormatter;
         private IReportDataAccess _dataAccess;
        public override void Print()
        {
            //dataAccess = new ReportDataAccess();
            //reportFormatter = new TabloidReportFormatter();
            _dataAccess.GetReportData();
            _reportFormatter.FormatReport();
            Console.WriteLine("\nPrinting Report to dot-matrix printer...");
            //base.Print();
        }

        /// <summary>
        /// Initializes a new instance of the TabloidReportPrinter class.
        /// </summary>
        /// <param name="reportFormatter"></param>
        /// <param name="dataAccess"></param>
        public TabloidReportPrinter(IReportFormatter reportFormatter, IReportDataAccess dataAccess)
        {
            _reportFormatter = reportFormatter;
            _dataAccess = dataAccess;
        }
    }
}
